let globAudio = uni.createInnerAudioContext()
globAudio.obeyMuteSwitch = false
const wxUtils = {
	//返回全局的audio实例
	getGlobAudio() {
		return globAudio
	},
	//设置全局的audio属性

	setConfigGlobAudio(config) {
		for (const key in config) {
			if (Object.hasOwnProperty.call(config, key)) {
				globAudio[key] = config[key];

			}
		}

	},
	//暂停语音
	pauseGlobalAudio(){

	},
	//微信支付调起支付
	wxPay(data) {
		wx.requestPayment({
			...data
		})
	},
	//订阅消息
	subscribeToNews() {
		return wx.requestSubscribeMessage({
			tmplIds: ['Q4-tQrDwtzFUSLt_PR2kuTxBJ3d62V4Yp2iwx4PAcIE']
		})
	},
	//激励广告唤起函数
	incentiveAd() {
		// 在页面中定义激励视频广告
		let videoAd = null

		// 在页面onLoad回调事件中创建激励视频广告实例
		if (wx.createRewardedVideoAd) {
			videoAd = wx.createRewardedVideoAd({
				adUnitId: 'adunit-5be2b5bf54eae38e'
			})
			videoAd.onLoad(() => { })
			videoAd.onError((err) => { })
			videoAd.onClose((res) => { })
		}

		// 用户触发广告后，显示激励视频广告
		if (videoAd) {
			videoAd.show().catch(() => {
				// 失败重试
				videoAd.load()
					.then(() => videoAd.show())
					.catch(err => {
						console.log('激励视频 广告显示失败')
					})
			})
		}
	},
}

export default wxUtils